/**************************************************************************
 *                                                                        *
 * Copyright (c) 1996 Michael Richmond and Richard Treffers               *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/


#include <stdio.h>
#include <signal.h>
#include "pcvista.h"
#include "pcvistax.h"
#include "pcvimage.h"

	/* reset the RootWindow Property so that all elements are zero 
		4/22/94 - remove read/set_proper
	*/


static char *usage = "usage: propinit [help]";
char *progname = "propinit";

void 
main(argc, argv)
int argc;
char *argv[];
{
	static int data[PROP_NITEMS];

	if (argc > 1) {
		if (strcmp(argv[1], "help") == 0) {
			printf("%s\n", usage);
			exit(0);
		}
		else {
			error(-1, usage);
		}
	}

	image_init(TV_GREYSCALE);
	set_property(data);

	image_abort();
	exit(0);
}
